Package oracle.jdbc

## Interface OracleCommonConnectionBuilder

All Superinterfaces:
  `java.sql.ConnectionBuilder`

All Known Subinterfaces:
  `OracleConnectionBuilder`

All Known Implementing Classes:
  `OracleConnectionBuilderImpl`

    public interface OracleCommonConnectionBuilder
    extends java.sql.ConnectionBuilder

Interface that defines common methods.

Since:
  23

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.concurrent.Flow.Publisher<? extends java.sql.Connection>` `buildConnectionPublisherOracle()` Returns a `Publisher` that publishes a single `Connection` object with the same state as if it were built by calling `build` on this `ConnectionBuilder`.
`OracleCommonConnectionBuilder` `executorOracle​(java.util.concurrent.Executor executor)` Set the `Executor` used for asynchronous tasks by this `ConnectionBuilder` and any `Connection` objects built by it.

### Methods inherited from interface java.sql.ConnectionBuilder

`build, password, shardingKey, superShardingKey, user`

### Method Detail

#### executorOracle

    OracleCommonConnectionBuilder executorOracle​(java.util.concurrent.Executor executor)

Set the `Executor` used for asynchronous tasks by this `ConnectionBuilder` and any `Connection` objects built by it. The default value is `ForkJoinPool.commonPool()`.

Parameters:
  `executor` - an Executor to use for asynchronous tasks. Not null.
Returns:
  this OracleCommonConnectionBuilder
Since:
  20

#### buildConnectionPublisherOracle

    java.util.concurrent.Flow.Publisher<? extends java.sql.Connection> buildConnectionPublisherOracle()
                                                                                               throws java.sql.SQLException

Returns a `Publisher` that publishes a single `Connection` object with the same state as if it were built by calling `build` on this `ConnectionBuilder`. The returned `Publisher` does not support multiple `Subscribers`.

Returns:
  a `Publisher` of a `Connection` built by this `ConnectionBuilder`
Throws:
  `java.sql.SQLException`
Since:
  20